definition:
  language:
    go:
      - name: "SQS SDK v2"
        prefix: "github.com/aws/aws-sdk-go-v2/service/sqs."
        provider: MESSAGING
      - name: "SNS SDK v2"
        prefix: "github.com/aws/aws-sdk-go-v2/service/sns."
        provider: MESSAGING
      - name: "Kafka Sarama client"
        prefix: "github.com/Shopify/sarama."
        provider: MESSAGING
        rule: "github\\.com/Shopify/sarama\\.(?<operation>[a-zA-Z0-9_]+)"
      - name: "Segment Kafka client"
        prefix: "github.com/segmentio/kafka-go."
        provider: MESSAGING
      - name: "HTTP client (net/http)"
        prefix: "net/http."
        provider: HTTP
        rule: "net/http\\.(?<operation>[a-zA-Z0-9_]+)"
    java:
      - name: "Kafka producer"
        prefix: "org.apache.kafka.clients.producer."
        provider: MESSAGING
        rule: "org\\.apache\\.kafka\\.clients\\.producer\\.(?<operation>[a-zA-Z0-9_]+)"
      - name: "Kafka consumer"
        prefix: "org.apache.kafka.clients.consumer."
        provider: MESSAGING
        rule: "org\\.apache\\.kafka\\.clients\\.consumer\\.(?<operation>[a-zA-Z0-9_]+)"
      - name: "Spring AMQP RabbitMQ"
        prefix: "org.springframework.amqp."
        provider: MESSAGING
      - name: "AWS SQS SDK v2"
        prefix: "software.amazon.awssdk.services.sqs."
        provider: MESSAGING
    python:
      - name: "Boto3 SQS client"
        prefix: "boto3.client"
        rule: "client\\([\"']sqs[\"']"
        provider: MESSAGING
      - name: "Kafka Python client"
        prefix: "kafka."
        provider: MESSAGING
        rule: "kafka\\.(?<resource_group>[a-zA-Z0-9_]+)\\.(?<operation>[a-zA-Z0-9_]+)"
      - name: "Requests HTTP client"
        prefix: "requests."
        provider: HTTP
        rule: "requests\\.(?<operation>[a-zA-Z0-9_]+)"
    javascript:
      - name: "Axios HTTP"
        prefix: "axios."
        provider: HTTP
        rule: "axios\\.(?<operation>[a-zA-Z0-9_]+)"
      - name: "AWS SDK SQS v3"
        prefix: "@aws-sdk/client-sqs."
        provider: MESSAGING

  providers:
    MESSAGING:
      servicenameMapping:
        "sqs": "sqs"
        "sns": "sns"
        "kafka": "kafka"
    HTTP:
      servicenameMapping: {}
